clang 8.0.0

Classes | Namespaces | Enumerations | Functions
PrecompiledPreamble.h File Reference
`#include "clang/Lex/Lexer.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "llvm/ADT/IntrusiveRefCntPtr.h"`
`#include "llvm/Support/AlignOf.h"`
`#include "llvm/Support/MD5.h"`
`#include <cstddef>`
`#include <memory>`
`#include <system_error>`
`#include <type_traits>`
Include dependency graph for PrecompiledPreamble.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::PrecompiledPreamble
| A class holding a PCH and all information to check whether it is valid to reuse the PCH for the subsequent runs. More...
class | clang::PreambleCallbacks
| A set of callbacks to gather useful information while building a preamble. More...
class | clang::BuildPreambleErrorCategory
struct | std::is_error_code_enum< clang::BuildPreambleError >

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.
| llvm::vfs
| clang
| Dataflow Directional Tag Classes.
| std

## Enumerations
enum | clang::BuildPreambleError { clang::BuildPreambleError::CouldntCreateTempFile = 1, clang::BuildPreambleError::CouldntCreateTargetInfo, clang::BuildPreambleError::BeginSourceFileFailed, clang::BuildPreambleError::CouldntEmitPCH }

## Functions
PreambleBounds | clang::ComputePreambleBounds (const LangOptions &LangOpts, llvm::MemoryBuffer *Buffer, unsigned MaxLines)
| Runs lexer to compute suggested preamble bounds. More...
std::error_code | clang::make_error_code (BuildPreambleError Error)